apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.32.0 (765fde254)
  labels:
    io.kompose.service: homeassistant
  name: homeassistant
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: homeassistant
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.32.0 (765fde254)
      labels:
        io.kompose.network/hass-default: "true"
        io.kompose.service: homeassistant
    spec:
      containers:
        - env:
            - name: LETSENCRYPT_EMAIL
              value: hokagegano@gmail.com
            - name: LETSENCRYPT_HOST
              value: ganhome.duckdns.org
            - name: VIRTUAL_HOST
              value: ganhome.duckdns.org
            - name: VIRTUAL_PORT
              value: "8123"
          image: homeassistant/home-assistant:2024.4.0
          name: home-assistant
          ports:
            - containerPort: 8123
              protocol: TCP
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /config
              name: homeassistant-config
            - mountPath: /media
              name: homeassistant-media
            - mountPath: /dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2674484-if00
              name: zigbee
      restartPolicy: Always
      volumes:
        - name: homeassistant-config
          hostPath:
            path: /media/kube/.homeassistant
        - name: homeassistant-media
          hostPath:
            path: /media/kube/.homeassistant/www/surf/videos
        - name: zigbee
          hostPath:
            path: /dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2674484-if00

